## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global extension       forge
%global uuid            %{extension}@jmmaranan.com

Name:           gnome-shell-extension-%{extension}
Version:        88
Release:        %autorelease
Summary:        Tiling and window manager for GNOME Shell
# main source code: GPL-3.0-or-later
# lib/css/index.js (installed as css.js): MIT
License:        GPL-3.0-or-later AND MIT
URL:            https://github.com/forge-ext/forge
BuildArch:      noarch

Source:         %{url}/archive/v48-%{version}/%{extension}-48-%{version}.tar.gz
# downstream-only
Patch:          0001-Adjust-makefile-for-Fedora.patch

BuildRequires:  make
BuildRequires:  gettext
Requires:       gnome-shell >= 45
Recommends:     gnome-extensions-app
Provides:       %{extension} = %{version}-%{release}


%description
Forge is a GNOME Shell extension that provides tiling/window management.


%prep
%autosetup -p 1 -n %{extension}-48-%{version}

# relocate files we don't want to ship in the extension directory
mv lib/css/LICENSE LICENSE-css
mv lib/css/README.md README-css.md


%build
%make_build


%install
# install main extension files
%make_install

# install the schema file
install -D -p -m 0644 \
    schemas/org.gnome.shell.extensions.%{extension}.gschema.xml \
    %{buildroot}%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.%{extension}.gschema.xml

# install locale files
mv locale %{buildroot}%{_datadir}/locale
%find_lang %{extension}


%files -f %{extension}.lang
%license LICENSE LICENSE-css
%doc README.md
%{_datadir}/gnome-shell/extensions/%{uuid}
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.%{extension}.gschema.xml


%changelog
## START: Generated by rpmautospec
* Mon May 12 2025 Carl George <carlwgeorge@fedoraproject.org> - 88-1
- Update to version 88 rhbz#2365443

* Mon May 05 2025 Carl George <carlwgeorge@fedoraproject.org> - 87-1
- Update to version 87 rhbz#2362462

* Fri Apr 04 2025 Carl George <carlwgeorge@fedoraproject.org> - 84-3
- Include upstream patch for GNOME 48 rhbz#2357541

* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 84-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sat Sep 14 2024 Carl George <carlwgeorge@fedoraproject.org> - 84-1
- Update to version 84 rhbz#2312243

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 83-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jun 24 2024 Carl George <carlwgeorge@fedoraproject.org> - 83-1
- Update to version 83 rhbz#2283098

* Mon Apr 08 2024 Carl George <carlwgeorge@fedoraproject.org> - 78-1
- Update to version 78 rhbz#2272380

* Sat Mar 09 2024 Carl George <carlwgeorge@fedoraproject.org> - 77^1.9290955-1
- Update to upstream snapshot for GNOME 46 compatibility rhbz#2257754

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 77-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 77-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Nov 01 2023 Carl George <carlwgeorge@fedoraproject.org> - 77-1
- Update to version 77, resolves rhbz#2247472

* Wed Oct 11 2023 Carl George <carlwgeorge@fedoraproject.org> - 75-1
- Initial package, resolves rhbz#2241002
## END: Generated by rpmautospec
